Get Watcher statistics

  • GET /_watcher/stats/{metric}
  • GET /_watcher/stats
Auth

This API always returns basic metrics. You retrieve more metrics by using the metric parameter.

Required privileges

Cluster privileges monitor_watcher

Path parameters

metric union enum | enum[] optional

Defines which additional metrics are included in the response.

Supported values include: _all (or all), queued_watches, current_watches, pending_watches

Leave it out to use /_watcher/stats.

Values: _all all queued_watches current_watches pending_watches

Query parameters

emit_stacktraces boolean · default: false

Defines whether stack traces are generated for each watch that is running.

metric union enum | enum[]

Defines which additional metrics are included in the response.

Supported values include: _all (or all), queued_watches, current_watches, pending_watches

Values: _all all queued_watches current_watches pending_watches

Response

application/json
_nodes object required
total number required

Total number of nodes selected by the request.

successful number required

Number of nodes that responded successfully to the request.

failed number required

Number of nodes that rejected the request or failed to respond. If this value is not 0, a reason for the rejection or failure is included in the response.

cluster_name string required
manually_stopped boolean required
stats object[] required
execution_thread_pool object required
max_size number required

The largest size of the execution thread pool, which indicates the largest number of concurrent running watches.

queue_size number required

The number of watches that were triggered and are currently queued.

watch_count number required

The number of watches currently registered.

watcher_state enum required

The current state of Watcher.

Values: stopped starting started stopping
node_id string required